%global debug_package %{nil}

Name:           nbfc-linux
Version:        0.1.7
Release:        1%{?dist}
Summary:        NoteBook FanControl ported to Linux

License:        GPL-3.0-or-later
URL:            https://github.com/nbfc-linux/nbfc-linux
Source0:        https://github.com/nbfc-linux/nbfc-linux/archive/refs/tags/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  lm_sensors
BuildRequires:  systemd-rpm-macros
Requires:       python3
Requires:       systemd

%description
This is a C port of Stefan Hirschmann's NoteBook FanControl.
It provides the same utilities with the same interfaces as the original NBFC, although the implementation differs.

%prep
%autosetup -n nbfc-linux-%{version}

%build
%make_build PREFIX=%{_prefix} confdir=%{_sysconfdir}


%install
%make_install PREFIX=%{_prefix} confdir=%{_sysconfdir}

%files
%license LICENSE
%doc README.md
%{_bindir}/nbfc
%{_bindir}/nbfc_service
%{_bindir}/ec_probe
%{_unitdir}/nbfc_service.service
%{_mandir}/man*/*
%{_datadir}/nbfc
%{_datadir}/zsh/site-functions/*
%{_datadir}/bash-completion/completions/*
%{_datadir}/fish/completions/*

%post
%systemd_post nbfc_service.service

%preun
%systemd_preun nbfc_service.service

%postun
%systemd_postun_with_restart nbfc_service.service

%changelog
* Mon Jul 17 2023 Maxim Razantovski <nda.mr43@gmail.com>
- Initial version of the package
